Bug 2405 - gnupg crash
: gnupg crash
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: GNOME edition
: Fresh
: x86_64 Linux
: Normal normal
: ---
Assigned To: Arkady L. Shane
: ROSA Linux Bugs
:
Depends on: 2381
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 02:26 MSD by Postnikov Dmitry
Modified: 2013-08-01 11:57 MSD (History)
2 users (show)

See Also:
RPM Package: gnupg-1.4.11-4-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments
gpg-crash.txt (6.40 KB, text/plain)
2013-07-30 02:26 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Postnikov Dmitry 2013-07-30 02:26:23 MSD
Created attachment 1713 [details]
gpg-crash.txt

Description of problem:
gpg crash when i type:
gpg -v -h

==============================================
[pastordi@mindlife ~]$ gpg -v -h
gpg (GnuPG) 1.4.11
Copyright (C) 2010 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Home: ~/.gnupg
Поддерживаются следующие алгоритмы:
С открытым ключом: RSA, RSA-E, RSA-S, ELG-E, DSA
Симметричные шифры: 3DES (S2), CAST5 (S3), BLOWFISH (S4), AES (S7), AES192 (S8), 
                                     AES256 (S9), TWOFISH (S10), 
                                     CAMELLIA128 (S11), CAMELLIA192 (S12), 
                                     CAMELLIA256 (S13)
*** glibc detected *** gpg: realloc(): invalid next size: 0x00000000019a6920 ***
======= Backtrace: =========
/lib64/libc.so.6(+0x7ae46)[0x7f315d45ae46]
/lib64/libc.so.6(+0x7e118)[0x7f315d45e118]
/lib64/libc.so.6(realloc+0xe5)[0x7f315d45fbf5]
gpg(xrealloc+0x65)[0x4b27d5]
gpg[0x40ca36]
gpg[0x40d1fe]
gpg[0x405958]
gpg[0x4b102a]
gpg[0x4b17ef]
gpg[0x4b215b]
gpg[0x40628d]
/lib64/libc.so.6(__libc_start_main+0xf5)[0x7f315d401745]
gpg[0x40bd51]
======= Memory map: ========
00400000-004fc000 r-xp 00000000 08:02 2231898                            /usr/bin/gpg
006fb000-006fd000 r--p 000fb000 08:02 2231898                            /usr/bin/gpg
006fd000-00702000 rw-p 000fd000 08:02 2231898                            /usr/bin/gpg
00702000-00704000 rw-p 00000000 00:00 0 
0197e000-019c0000 rw-p 00000000 00:00 0                                  [heap]
7f315b8ff000-7f315b914000 r-xp 00000000 08:02 1179860                    /lib64/libgcc_s.so.1
7f315b914000-7f315bb13000 ---p 00015000 08:02 1179860                    /lib64/libgcc_s.so.1
7f315bb13000-7f315bb14000 rw-p 00014000 08:02 1179860                    /lib64/libgcc_s.so.1
7f315bb14000-7f315cb52000 r--p 00000000 08:02 10201                      /usr/share/locale/locale-archive
7f315cb52000-7f315cb68000 r-xp 00000000 08:02 1179675                    /lib64/libpthread-2.15.so
7f315cb68000-7f315cd68000 ---p 00016000 08:02 1179675                    /lib64/libpthread-2.15.so
7f315cd68000-7f315cd69000 r--p 00016000 08:02 1179675                    /lib64/libpthread-2.15.so
7f315cd69000-7f315cd6a000 rw-p 00017000 08:02 1179675                    /lib64/libpthread-2.15.so
7f315cd6a000-7f315cd6e000 rw-p 00000000 00:00 0 
7f315cd6e000-7f315cd75000 r-xp 00000000 08:02 1179912                    /lib64/librt-2.15.so
7f315cd75000-7f315cf74000 ---p 00007000 08:02 1179912                    /lib64/librt-2.15.so
7f315cf74000-7f315cf75000 r--p 00006000 08:02 1179912                    /lib64/librt-2.15.so
7f315cf75000-7f315cf76000 rw-p 00007000 08:02 1179912                    /lib64/librt-2.15.so
7f315cf76000-7f315cf87000 r-xp 00000000 08:02 2238026                    /usr/lib64/libusb-1.0.so.0.1.0
7f315cf87000-7f315d186000 ---p 00011000 08:02 2238026                    /usr/lib64/libusb-1.0.so.0.1.0
7f315d186000-7f315d187000 r--p 00010000 08:02 2238026                    /usr/lib64/libusb-1.0.so.0.1.0
7f315d187000-7f315d188000 rw-p 00011000 08:02 2238026                    /usr/lib64/libusb-1.0.so.0.1.0
7f315d188000-7f315d1db000 r-xp 00000000 08:02 1179834                    /lib64/libncurses.so.5.9
7f315d1db000-7f315d3da000 ---p 00053000 08:02 1179834                    /lib64/libncurses.so.5.9
7f315d3da000-7f315d3de000 r--p 00052000 08:02 1179834                    /lib64/libncurses.so.5.9
7f315d3de000-7f315d3df000 rw-p 00056000 08:02 1179834                    /lib64/libncurses.so.5.9
7f315d3df000-7f315d3e0000 rw-p 00000000 00:00 0 
7f315d3e0000-7f315d58e000 r-xp 00000000 08:02 1179987                    /lib64/libc-2.15.so
7f315d58e000-7f315d78e000 ---p 001ae000 08:02 1179987                    /lib64/libc-2.15.so
7f315d78e000-7f315d792000 r--p 001ae000 08:02 1179987                    /lib64/libc-2.15.so
7f315d792000-7f315d794000 rw-p 001b2000 08:02 1179987                    /lib64/libc-2.15.so
7f315d794000-7f315d799000 rw-p 00000000 00:00 0 
7f315d799000-7f315d79d000 r-xp 00000000 08:02 1179878                    /lib64/libusb-0.1.so.4.4.4
7f315d79d000-7f315d99d000 ---p 00004000 08:02 1179878                    /lib64/libusb-0.1.so.4.4.4
7f315d99d000-7f315d99e000 r--p 00004000 08:02 1179878                    /lib64/libusb-0.1.so.4.4.4
7f315d99e000-7f315d99f000 rw-p 00005000 08:02 1179878                    /lib64/libusb-0.1.so.4.4.4
7f315d99f000-7f315d9a2000 r-xp 00000000 08:02 1180036                    /lib64/libdl-2.15.so
7f315d9a2000-7f315dba1000 ---p 00003000 08:02 1180036                    /lib64/libdl-2.15.so
7f315dba1000-7f315dba2000 r--p 00002000 08:02 1180036                    /lib64/libdl-2.15.so
7f315dba2000-7f315dba3000 rw-p 00003000 08:02 1180036                    /lib64/libdl-2.15.so
7f315dba3000-7f315dbdf000 r-xp 00000000 08:02 1179808                    /lib64/libreadline.so.6.2
7f315dbdf000-7f315dddf000 ---p 0003c000 08:02 1179808                    /lib64/libreadline.so.6.2
7f315dddf000-7f315dde1000 r--p 0003c000 08:02 1179808                    /lib64/libreadline.so.6.2
7f315dde1000-7f315dde7000 rw-p 0003e000 08:02 1179808                    /lib64/libreadline.so.6.2
7f315dde7000-7f315dde9000 rw-p 00000000 00:00 0 
7f315dde9000-7f315ddf8000 r-xp 00000000 08:02 2237772                    /usr/lib64/libbz2.so.1.0.0
7f315ddf8000-7f315dff7000 ---p 0000f000 08:02 2237772                    /usr/lib64/libbz2.so.1.0.0
7f315dff7000-7f315dff8000 r--p 0000e000 08:02 2237772                    /usr/lib64/libbz2.so.1.0.0
7f315dff8000-7f315dff9000 rw-p 0000f000 08:02 2237772                    /usr/lib64/libbz2.so.1.0.0
7f315dff9000-7f315e010000 r-xp 00000000 08:02 1179782                    /lib64/libz.so.1.2.7
7f315e010000-7f315e20f000 ---p 00017000 08:02 1179782                    /lib64/libz.so.1.2.7
7f315e20f000-7f315e210000 r--p 00016000 08:02 1179782                    /lib64/libz.so.1.2.7
7f315e210000-7f315e211000 rw-p 00017000 08:02 1179782                    /lib64/libz.so.1.2.7
7f315e211000-7f315e227000 r-xp 00000000 08:02 1179823                    /lib64/libresolv-2.15.so
7f315e227000-7f315e427000 ---p 00016000 08:02 1179823                    /lib64/libresolv-2.15.so
7f315e427000-7f315e428000 r--p 00016000 08:02 1179823                    /lib64/libresolv-2.15.so
7f315e428000-7f315e429000 rw-p 00017000 08:02 1179823                    /lib64/libresolv-2.15.soАварийный останов (слепок снят)
[pastordi@mindlife ~]$
Comment 1 Alexander Burmashev 2013-07-30 02:29:07 MSD
Did you try this one ?
http://bugs.rosalinux.ru/show_bug.cgi?id=2381
Comment 2 Postnikov Dmitry 2013-07-30 02:31:01 MSD
(In reply to comment #1)
> Did you try this one ?
> http://bugs.rosalinux.ru/show_bug.cgi?id=2381

I just check the work of gpg BEFORE test the bug 2381.
Comment 3 Postnikov Dmitry 2013-07-31 01:40:36 MSD
Yes. With new version 1.4.14 this issue is fixed.